> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusset.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Max Borrow

> Calculate maximum borrowable USDC for a given collateral amount

## Path Parameters

<ParamField path="marketId" type="string" required>Market ID.</ParamField>

## Query Parameters

<ParamField query="collateralAmount" type="string" required>Collateral token amount (e.g. `"100"`).</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.trusset.org/lending-stocks/api/markets/{marketId}/max-borrow?collateralAmount=100" \
    -H "X-API-Key: trusset_your_key_here"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "collateralAmount": "100",
      "maxBorrow": "13912.500000"
    }
  }
  ```
</ResponseExample>
